/********************************************************************
*	THE USE BY YOU OF THIS SOFTWARE IS GOVERNED IN ALL
*	RESPECTS BY THE MADGE NETWORKS LTD OPEN SOURCE LICENSE.		
*	WE ADVISE YOU TO READ THE TERMS OF THE OPEN SOURCE LICENSE
*	WHICH CAN BE FOUND WITHIN THE LICENSE.TXT FILE WHICH IS PART OF
*	THE SOFTWARE OR BY VISITING THE URL
*	http://www.madge.com/Connect/Downloads/Software/.		
*	MADGE NETWORKS LTD RESERVES THE RIGHT TO SEEK REDRESS FOR
*	ANY VIOLATION OF THE LICENSE'S TERMS					
*********************************************************************/

/* Copyright (c) 1999 Madge Networks Ltd 
 *
 * Author: TEG (Madge)
 */
/* Please refer to the LICENSE file supplied with this source code */

#include <ctype.h>
#include <stdio.h>
#include "bia.h"

int madge_parse_bia(char *pBIASTR,unsigned char *BIA)
{
	char *p = pBIASTR;	
	int	high,low,j;

	if (*pBIASTR == '\0')
		return 0;
		
	for(j=0;j<6;j++)
	{
		if (!isxdigit(*p))
		{
			return 0;
		}
				
		high = 	(*p >= '0' && *p <= '9') ? *p - '0' :
				((*p >= 'A' && *p <= 'F') ? *p - 'A' + 10 : *p - 'a' + 10);
			
		p++;
				
		if (!isxdigit(*p))
		{
			return 0;
		}
				
		low = 	(*p >= '0' && *p <= '9') ? *p - '0' :
				((*p >= 'A' && *p <= 'F') ? *p - 'A' + 10 : *p - 'a' + 10);
			
		p++;
				
		BIA[j] = (unsigned char) ((high << 4) | low);
										
	} /* for(j) */

	return 1;
}

char * madge_bia_as_string(unsigned char *p,char *buffer)
{
    sprintf(buffer,"%02X%02X%02X%02X%02X%02X",p[0],p[1],p[2],p[3],p[4],p[5]);
	return buffer;
}
