/********************************************************************
*	THE USE BY YOU OF THIS SOFTWARE IS GOVERNED IN ALL
*	RESPECTS BY THE MADGE NETWORKS LTD OPEN SOURCE LICENSE.		
*	WE ADVISE YOU TO READ THE TERMS OF THE OPEN SOURCE LICENSE
*	WHICH CAN BE FOUND WITHIN THE LICENSE.TXT FILE WHICH IS PART OF
*	THE SOFTWARE OR BY VISITING THE URL
*	http://www.madge.com/Connect/Downloads/Software/.		
*	MADGE NETWORKS LTD RESERVES THE RIGHT TO SEEK REDRESS FOR
*	ANY VIOLATION OF THE LICENSE'S TERMS					
*********************************************************************/

/*****************************************************************************
*
* madgecb.h
*
* Madge Token Ring Device Driver Card Bus Helper for Linux 2.0.29+.
*
* Main header file.
*
* Copyright (c) Madge Networks Ltd 1999
*
* CVS Version History:
*
*  $Id  $
*    
*****************************************************************************/

#ifndef __MTOKCB__
#define __MTOKCB__

/*----------------------------------------------------------------------------
|
| Version number.
|
| If you (non Madge being) build a customised version of the driver please,
| please define MTOKCB_CUSTOMISED_BY to be a sensible string so that our 
| support people can keep track of what version of code someone with a
| problem is using.
|
|---------------------------------------------------------------------------*/

#define MTOKCB_VERSION         "1.03"
/* #define MTOKCB_CUSTOMISED_BY   "My own version" */


/*----------------------------------------------------------------------------
|
| Update history.
|
|-----------------------------------------------------------------------------
1.03            04/10/1999              TEG (Madge)

                Added a MOD_DEC_USE_COUNT call.


1.02			17/08/1999				TEG (Madge)

				Clean up for new driver.  Fix for changed driver interface.

1.01			13/04/1999				TEG (Madge)

				Release to test.

1.00.02			08/04/1999				TEG (Madge)

				Fixed bugs.  Release to Adewale.

1.00.01         08/04/1999              TEG (Madge)

                Time begins.
                
                Driver based heavily on skeleton.c written by David Hinds
                (dhinds@allegro.stanford.edu).
                
----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
|
| Product tracking information. This must not be changed.
|
|---------------------------------------------------------------------------*/

#define MTOKCB_PRODUCT_NAME      "Madge Token-Ring Card bus Helper for Linux"
#define MTOKCB_PRODUCT_COPYRIGHT "Copyright (c) Madge Networks Ltd 1999"
#define MTOKCB_PRODUCT_PLATFORM  "Linux/x86"



#endif /* __MTOKCB__ */
